"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Plugin = ({ applyMethod }) => {
    const hasRootContainer = applyMethod('checkRuntimeKey', 'rootContainer');
    applyMethod('agreementAppend', ['pipeAppHeader', (code) => `${code}
    import { isInIcestark, getMountNode, registerAppEnter, registerAppLeave } from '@ice/stark-app';`]);
    applyMethod('agreementAppend', ['pipeDOMRender', (code) => `
    if (isInIcestark()) {
      const mountNode = getMountNode();
      registerAppEnter(() => {
        ReactDOM.render(${hasRootContainer ? 'rootContainer(App)' : '<App />'}, mountNode);
      });
      // make sure the unmount event is triggered
      registerAppLeave(() => {
        ReactDOM.unmountComponentAtNode(mountNode);
      });
    } else {${code}}`]);
};
exports.default = Plugin;
