"use strict";
/**
 * @file chore.
 * @author tony7lee
 */
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fse = require("fs-extra");
function chore(projectType, rootDir, TEM_ROUTER_SETS, routersTempPath) {
    const tsType = projectType === 'ts';
    // add alias config
    const configFileName = tsType ? 'tsconfig.json' : 'jsconfig.json';
    const targetConfigPath = path.join(rootDir, configFileName);
    const relativeRoutersTempPath = path.relative(rootDir, routersTempPath);
    let currentConfig = fse.readJsonSync(targetConfigPath, { throws: false });
    if (!currentConfig) {
        currentConfig = {};
    }
    if (!currentConfig.compilerOptions) {
        currentConfig.compilerOptions = {};
    }
    if (!currentConfig.compilerOptions.paths) {
        currentConfig.compilerOptions.paths = {};
    }
    const addOn = {};
    TEM_ROUTER_SETS.forEach(i => {
        addOn[i] = [relativeRoutersTempPath];
    });
    currentConfig.compilerOptions = {
        ...currentConfig.compilerOptions,
        paths: {
            ...currentConfig.compilerOptions.paths,
            ...addOn
        },
    };
    fse.writeJsonSync(targetConfigPath, currentConfig, { spaces: 2 });
}
exports.default = chore;
