"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs = require("fs-extra");
async function aliasConfig({ aliasName, rootDir, projectType, storePath }) {
    const configPath = path.join(rootDir, projectType === 'js' ? 'jsconfig.json' : 'tsconfig.json');
    let config = {
        compilerOptions: {
            paths: {},
        },
    };
    try {
        config = await fs.readJSON(configPath);
    }
    catch (err) { }
    const aliasPath = path.relative(rootDir, storePath);
    config.compilerOptions = {
        ...config.compilerOptions,
        paths: {
            ...(config.compilerOptions || {}).paths,
            [aliasName]: [aliasPath],
        },
    };
    await fs.writeJSON(configPath, config, { spaces: 2 });
}
exports.default = aliasConfig;
