"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    aliasName: 'ice/icestore',
    configName: 'icestore',
    checkType(config) {
        const { dependencies } = config;
        if (dependencies['@ice/store']) {
            return true;
        }
        return false;
    },
    appendImports(imports) {
        return [`import Store from '@ice/store'`].concat(imports);
    },
    appendSource(projectType, hasConfig) {
        let source = 'const storeManager = new Store();\n';
        if (hasConfig) {
            const itemSource = projectType === 'ts' ? '(middleware: any)' : 'middleware';
            source += `if (config.middlewares) {
        config.middlewares.forEach(${itemSource} => storeManager.applyMiddleware.apply(storeManager, middleware));
      }\n`;
        }
        source += 'export default storeManager.registerStores(models)';
        return source;
    },
};
