"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    aliasName: 'ice/mobx',
    configName: 'mobx',
    checkType(config) {
        const { dependencies } = config;
        if (dependencies['mobx']) {
            return true;
        }
        return false;
    },
    appendSource(projectType, hasConfig) {
        if (hasConfig) {
            return `export default {
        ...config,
        models,
      }`;
        }
        else {
            return `export default { models }`;
        }
    },
    appendEntry(append) {
        append('pipeAppHeader', (text) => `${text}
      import { Provider } from 'mobx-react';
      import store from 'ice/mobx';`);
        append('pipeRender', (text) => `<Provider {...store}>
        ${text}
      </Provider>`);
    },
};
