"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    aliasName: 'ice/rematch',
    configName: 'rematch',
    checkType(config) {
        const { dependencies } = config;
        if (dependencies['@rematch/core']) {
            return true;
        }
        return false;
    },
    appendImports(imports) {
        return [`import { init } from '@rematch/core'`].concat(imports);
    },
    appendSource(projectType, hasConfig) {
        if (hasConfig) {
            return `export default init({
        ...config,
        models,
      })`;
        }
        else {
            return `export default init({ models })`;
        }
    },
    appendEntry(append) {
        append('pipeAppHeader', (text) => `${text}
      import { Provider } from 'react-redux';
      import store from 'ice/rematch';`);
        append('pipeRender', (text) => `<Provider store={store}>
        ${text}
      </Provider>`);
    },
};
